TAAS - Feature #240

Supplier Ageing Report
07/09/2023 04:01 PM - Anil KV

Status: Reopen Bugs Coding Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Supplier Ageing Report

Description

Coding Supplier Ageing Report

History

#1 - 09/11/2023 12:20 PM - Anil KV

Solutions

-Check Customer Document Wise SOA Ageing tab
1) GUI Changes

-Add Status filter like ledger stmt

2) SQL

#2 - 09/11/2023 12:39 PM - Anil KV
- Status changed from New to Open
- Assignee changed from travvise Admin to Athul P

- % Done changed from 0 to 10

#3 - 03/07/2024 03:02 PM - Anil KV
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

Ref #239-Customer Ageing Report

#4 - 04/06/2024 05:17 PM - Athul P
- Status changed from Ready for Coding to Coding Done
- % Done changed from 20 to 60

#5 - 04/08/2024 11:20 AM - unnikannan S
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to unnikannan S

ISSUE FOUNDED
1.Show Data As Per Selected Items In Consider Filter Field

2.Fix Bugs On Print
3.Show Data As Per Selected Filter Fields In Ul

#6 - 04/11/2024 06:20 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#7 - 06/25/2024 06:05 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Showing Credit Value As Debit In Ul
2.Show Data As Per Consider Selected Items

#8 - 06/26/2024 06:42 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#9 - 09/30/2024 10:02 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#10 - 10/02/2024 10:52 AM - Anonymous
- Assignee changed from Athul P to Nithin PM

#11 - 01/20/2025 05:16 PM - Theja Ponon

- File clipboard-202501201715-ed400.png added

- Status changed from Testing Done to New Changes
- Assignee changed from Nithin PM to Augustin Jose

- % Done changed from 90 to 50

New Change

1) Add Fields on Screenshot given by NBK

Subject: Client Aging - Basic Requirement

Client
Code

Client
Category

121-
150

151-
180

181-
380

Total
Amount

Over-Due
Balance

Credit
Limit

Credit
Days

0130 | 31-60 | 61-90 | 91-120 1-2Y | 25Y | =5¥

‘ Client Group

Avg
Due Source

#12 - 01/20/2025 05:42 PM - Arathy PS

New Changes

--> Column Name Change 'Total A/R' to 'Total A/P'
--> *All other changes Ref Customer Ageing Report

#13 - 02/12/2025 10:01 AM - Augustin Jose
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#14 - 02/26/2025 02:58 PM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Total amount, overdue balance, credit days, average due days and source columns are missing in grid.
2. Category is missing in the grouping.

3. Grouping is not working.

4. In the main ledger all the items that are showing should be of type main ledger.

5. Group, family, category, Type filter not working.

6. Data showing the A/R is not correct if settlement is done. (based on as on date)

7. Cr entries are showing as Dr entries in print.

#15 - 03/11/2025 07:44 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#16 - 03/22/2025 05:53 PM - Arathy PS

- File clipboard-202503221443-uz7ez.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Showing data of supplier only when act as supplier (customer)/ act as supplier (airline) is ticked) when it a supplier created from Master.
2. Data not showing even if the document date is same as 'As on date’
3. Not showing the grouping name while grouping in the grid.

Supplier Ageing Report

AsOnDate* | 23/03/2025 o n Branch*  iain - Cureny’ | Basel(QAR) v
Custom ~ | 30.60-50-180-360 Debit Credit Consider Matching Done After To Date
Main Ledger  Sundry Creditors - Department - Consider | Sypolic.
Sub Customer (Profile) ~ Status® | Active (Post Exclude
Group ~ System Type
ana
ransa
#  Code Name Total A/R 1-30 31-60 61-90 91180 181-360 >360  CreditLimit Payment Terms Grace Days
- Family:
2 SUP0OOT BSP 3200.00 Dr. 3200.00 Dr 0.00 Dr 0.00 Dr 0.00 Dr 0.00 Dr 0.00 Dr 0.00 o
3 suponz ASP 5000 Dr 5000 Dr 0.00Dr 0.00Dr 0.00Dr 0.00Dr 0.00Dr 000 Within Next Fortnight Based On Submission Date [
~  Family:
5 SUPODS Supplier 200.00Dr 200.00r 0000r 000 r 0.00Dr 0.00Dr 0.00Dr 000 [

4. Not showing data based on the grouping filter.

#17 - 04/07/2025 10:07 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70
